package com.xhpc.evcs.dto;

import com.fasterxml.jackson.annotation.*;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.HashMap;
import java.util.Map;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "StartChargeSeq",
        "StartChargeSeqStat",
        "ConnectorID",
        "StartTime",
        "IdentCode"
})
public class NotificationStartChargeResultRequestData {

    @JsonProperty("StartChargeSeq")
    private String startChargeSeq;
    @JsonProperty("StartChargeSeqStat")
    private Integer startChargeSeqStat;
    @JsonProperty("ConnectorID")
    private String connectorId;
    @JsonProperty("StartTime")
    private String startTime;
    @JsonProperty("IdentCode")
    private String identCode;

    @JsonProperty("FailReasonMsg")
    private String failReasonMsg;

    @JsonProperty("StartChargeSeq")
    public String getStartChargeSeq() {

        return startChargeSeq;
    }

    @JsonProperty("StartChargeSeq")
    public void setStartChargeSeq(String startChargeSeq) {

        this.startChargeSeq = startChargeSeq;
    }

    @JsonProperty("StartTime")
    public String getStartTime() {

        return startTime;
    }

    @JsonProperty("StartTime")
    public void setStartTime(String startTime) {

        this.startTime = startTime;
    }

    @JsonProperty("StartChargeSeqStat")
    public Integer getStartChargeSeqStat() {

        return startChargeSeqStat;
    }

    @JsonProperty("StartChargeSeqStat")
    public void setStartChargeSeqStat(Integer startChargeSeqStat) {

        this.startChargeSeqStat = startChargeSeqStat;
    }

    @JsonProperty("ConnectorID")
    public String getConnectorId() {

        return connectorId;
    }

    @JsonProperty("ConnectorID")
    public void setConnectorId(String connectorId) {

        this.connectorId = connectorId;
    }

    @JsonProperty("IdentCode")
    public String getIdentCode() {

        return identCode;
    }

    @JsonProperty("IdentCode")
    public void setIdentCode(String identCode) {

        this.identCode = identCode;
    }

    @JsonProperty("FailReasonMsg")
    public String getFailReasonMsg() {
        return failReasonMsg;
    }

    @JsonProperty("FailReasonMsg")
    public void setFailReasonMsg(String failReasonMsg) {
        this.failReasonMsg = failReasonMsg;
    }

    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {

        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {

        this.additionalProperties.put(name, value);
    }



    @Override
    public String toString() {

        return new ToStringBuilder(this).append("startChargeSeq", startChargeSeq).append("startTime", startTime).append(
                "startChargeSeqStat", startChargeSeqStat).append("connectorId", connectorId).toString();
    }

}
